Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TRANSIENT

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.TRANSIENT

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class TRANSIENT
extends SystemException

TRANSIENT indicates that the ORB attempted to reach an object and failed. It is not an indication that an object does not exist. Instead, it simply means that no further determination of an object?s status was possible because it could not be reached. This exception is raised if an attempt to establish a connection fails, for example, because the server or the implementation repository is down.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`TRANSIENT()`
`TRANSIENT(int minor, CompletionStatus completed)`
`TRANSIENT(java.lang.String orb_reason)`
`TRANSIENT(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TRANSIENT

    public TRANSIENT()

### TRANSIENT

    public TRANSIENT(java.lang.String orb_reason)

### TRANSIENT

    public TRANSIENT(int minor,
                     CompletionStatus completed)

### TRANSIENT

    public TRANSIENT(java.lang.String orb_reason,
                     int minor,
                     CompletionStatus completed)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD